/***************************************************************************
**
**  This file is part of GpCoreTools.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2011-05-30
**  Authors:
**    Marc Wathelet (ISTerre, Grenoble, France)
**
***************************************************************************/

#include "ByteOrder.h"

namespace GpCoreTools {

  /*!
    \class ByteOrder ByteOrder.h
    \brief Brief description of class still missing

    Full description of class still missing
  */

  int ByteOrder::swap(int v)
  {
    char * b1=reinterpret_cast<char *>(&v);
    int i;
    char * b2=reinterpret_cast<char *>(&i);
    b2[0]=b1[3];
    b2[1]=b1[2];
    b2[2]=b1[1];
    b2[3]=b1[0];
    return i;
  }

  short ByteOrder::swap(const unsigned short& v)
  {
    const char * b1=reinterpret_cast<const char *>(&v);
    short i;
    char * b2=reinterpret_cast<char *>(&i);
    b2[0]=b1[1];
    b2[1]=b1[0];
    return i;
  }

} // namespace GpCoreTools
