/***************************************************************************
**
**  This file is part of GpCoreTools.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2014-03-05
**  Copyright: 2014
**    Marc Wathelet (ISTerre, Grenoble, France)
**
***************************************************************************/

#ifndef SCREENCLIENT_H
#define SCREENCLIENT_H

#include "StaticTcpClient.h"
#include "GpCoreToolsDLLExport.h"

namespace GpCoreTools {

  class GPCORETOOLS_EXPORT ScreenClient : public StaticTcpClient
  {
  public:
    ScreenClient(const Address& host, uint16_t port);

    static void write(unsigned char x, unsigned char y, const char * cformat,...);
  private:
    static ScreenClient * _self;
  };

} // namespace GpCoreTools

#endif // SCREENCLIENT_H
