#ifndef GPCORETOOLS_HEADERS
#define GPCORETOOLS_HEADERS

// All headers of GpCoreTools library

#include "GpCoreTools/ApplicationHelp.h"
#include "GpCoreTools/Average.h"
#include "GpCoreTools/ByteOrder.h"
#include "GpCoreTools/Chrono.h"
#include "GpCoreTools/CoreApplication.h"
#include "GpCoreTools/DaemonApplication.h"
#include "GpCoreTools/DynamicBuffer.h"
#include "GpCoreTools/Event.h"
#include "GpCoreTools/EventLoop.h"
#include "GpCoreTools/EventStream.h"
#include "GpCoreTools/File.h"
#include "GpCoreTools/FletcherChecksum.h"
#include "GpCoreTools/GpCoreToolsDLLExport.h"
#include "GpCoreTools/InfiniteLoop.h"
#include "GpCoreTools/Leds.h"
#include "GpCoreTools/LinearRegression.h"
#include "GpCoreTools/Log.h"
#include "GpCoreTools/MessageClassId.h"
#include "GpCoreTools/MessageClassIdHeader.h"
#include "GpCoreTools/MessageClassIdOnly.h"
#include "GpCoreTools/MessageRaw.h"
#include "GpCoreTools/MessageRawHeader.h"
#include "GpCoreTools/MovingStatistics.h"
#include "GpCoreTools/NewTimerEvent.h"
#include "GpCoreTools/PackageInfo.h"
#include "GpCoreTools/PThread.h"
#include "GpCoreTools/ScreenClient.h"
#include "GpCoreTools/Serial.h"
#include "GpCoreTools/StaticTcpClient.h"
#include "GpCoreTools/Statistics.h"
#include "GpCoreTools/Stream.h"
#include "GpCoreTools/TcpClientStream.h"
#include "GpCoreTools/TcpServerStream.h"
#include "GpCoreTools/Timer.h"
#include "GpCoreTools/TraceBug.h"
#include "GpCoreTools/Trace.h"
#include "GpCoreTools/TraceInfo.h"
#include "GpCoreTools/TraceStamp.h"
#include "GpCoreTools/UdpServerStream.h"
#include "GpCoreTools/UnixClientStream.h"
#include "GpCoreTools/UnixServerStream.h"
#include "GpCoreTools/Variant.h"

#ifndef GP_EXPLICIT_LIBRARY_NAMESPACE
using namespace GpCoreTools;
#endif

#endif // GPCORETOOLS_HEADERS
