/***************************************************************************
**
**  This file is part of GpCoreTools.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2009-07-01
**  Authors:
**    Marc Wathelet
**    Marc Wathelet (LGIT, Grenoble, France)
**
***************************************************************************/

#include "PackageInfo.h"

namespace GpCoreTools {

/*!
  \class PackageInfo qtbpackageinfolite.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

std::list<PackageInfo> * PackageInfo::_list=0;

/*!
  \class PackageInfo qtbpackageinfo.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

/*!
  Description of constructor still missing
*/
PackageInfo::PackageInfo(const char * package,
                          const char * binDir,
                          const char * libDir,
                          const char * includeDir,
                          const char * shareDir,
                          const char * version,
                          const char * versionTime,
                          const char * versionType,
                          const char * distribution,
                          const char * authors)
{
  _package=package;
  _binDir=binDir;
  _libDir=libDir;
  _includeDir=includeDir;
  _shareDir=shareDir;
  _version=version;
  _versionTime=versionTime;
  _versionType=versionType;
  _distribution=distribution;
  _authors=authors;
}

/*!
  Copy constructor
*/
PackageInfo::PackageInfo(const PackageInfo& o)
{
  _package=o._package;
  _binDir=o._binDir;
  _libDir=o._libDir;
  _includeDir=o._includeDir;
  _shareDir=o._shareDir;
  _version=o._version;
  _versionTime=o._versionTime;
  _versionType=o._versionType;
  _distribution=o._distribution;
  _authors=o._authors;
}

std::string PackageInfo::getInstallDir(std::string organization, std::string package, std::string dir, std::string defaultDir)
{
  // TODO: read .config file (for linux only)
  //QSettings reg(organization, package);
  //reg.beginGroup("installpaths");
  //if(reg.contains(dir)) {
  //  return reg.value(dir).toString();
  //} else {
    return defaultDir;
 //}
}

std::list<PackageInfo> * PackageInfo::list()
{
  if(!_list) _list=new std::list<PackageInfo>;
  return _list;
}

const PackageInfo * PackageInfo::package(std::string package)
{
  for(std::list<PackageInfo>::iterator it=PackageInfo::_list->begin();it!=PackageInfo::_list->end(); it++ ) {
    if(package==it->package()) {
      return &(*it);
    }
  }
  return 0;
}


} // namespace GpCoreTools
