/***************************************************************************
**
**  This file is part of GpCoreTools.
**
**  This file may be distributed and/or modified under the terms of the
**  GNU General Public License version 2 or 3 as published by the Free
**  Software Foundation and appearing in the file LICENSE.GPL included
**  in the packaging of this file.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
**  more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2009-08-19
**  Authors:
**    Marc Wathelet
**    Marc Wathelet (LGIT, Grenoble, France)
**
***************************************************************************/

#include <unistd.h>

#include "Stream.h"
#include "Log.h"
#include "Trace.h"

namespace GpCoreTools {

/*!
  \class Stream qtbstream.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

/*!
  Description of constructor still missing
*/
Stream::Stream()
{
  TRACE;
  _fileDescriptor=-1;
  _parent=0;
}

/*!
  Description of destructor still missing
*/
Stream::~Stream()
{
  TRACE;
  close();
  if(_parent) {
    _parent->childDeleted(this);
  }
}

void Stream::close()
{
  TRACE;
  if(_fileDescriptor>0) {
    ::close(_fileDescriptor);
  }
  _fileDescriptor=-1;
}

} // namespace GpCoreTools
